struct rpc_portmap
{
	u32 pmap_prog;
	u32 pmap_vers;
	u32 pmap_proto;
	u16 pmap_port;
};

/*
 *  * The high-level client handle
 *   */
struct rpc_clnt {
        atomic_t                cl_users;       /* number of references */
        struct rpc_xprt *       cl_xprt;        /* transport */
        struct rpc_procinfo *   cl_procinfo;    /* procedure info */
        u32                     cl_maxproc;     /* max procedure number */
        char *                  cl_server;      /* server machine name */
        char *                  cl_protname;    /* protocol name */
        struct rpc_auth *       cl_auth;        /* authenticator */
        struct rpc_stat *       cl_stats;       /* statistics */

        unsigned int            cl_softrtry : 1,/* soft timeouts */
                                cl_intr     : 1,/* interruptible */
                                cl_chatty   : 1,/* be verbose */
                                cl_autobind : 1,/* use getport() */
                                cl_binding  : 1,/* doing a getport() */
                                cl_droppriv : 1,/* enable NFS suid hack */
                                cl_oneshot  : 1,/* dispose after use */
                                cl_dead     : 1;/* abandoned */
        unsigned int            cl_flags;       /* misc client flags */
        unsigned long           cl_hardmax;     /* max hard timeout */

        struct rpc_portmap      cl_pmap;        /* port mapping */
        struct rpc_wait_queue   cl_bindwait;    /* waiting on getport() */

        int                     cl_nodelen;     /* nodename length */
        char                    cl_nodename[UNX_MAXNODENAME];
};

